
// Options pour l'argument "flags" de "render_object()"
#define NO_OPTION			0b00000000
#define CONVEX 				0b10000000	// Signale qu'un objet est convexe, d'ou pas la peine de faire de tri
#define WHITE_LINES 	0b01000000	// Demenade de dessiner les lignes en blanc plutot qu'en gris
#define XING_FRUSTRUM 0b00100000 	// Demande  afficher les polygones dont les extrmits sont en dehors de plans diffrents de la pyramide de vision (cela rallentit le jeu)

extern void init_render_ptr(void); // fonction qui initialise les pointeurs sur des espaces allous dans render_world

extern void gen_matrix(Angle*);
extern void gen_frustrum(Camera*);

extern short render_object(Vertex*, short, BPoly*, Vector*, short, SolidC*, unsigned char);
extern void render_particle_cloud(Vertex*, short);
extern short projection(Vertex*, ScrPoint*);

extern Vertex* rotations_ypr(Vertex*, Angle*);
extern Vertex* rotations_rpy(Vertex*, Angle*);
extern Vertex* rotations_py(Vertex*, Angle*);

extern short f_angle_h, f_angle_v;

extern Camera* activeCamPtr;

extern short cos_f(unsigned short);
extern short sin_f(unsigned short);
extern const short costable[513];
extern const short sintable[513];

extern long matrix[9], m0m1, m3m4, m6m7; // Matrice de rotation