// C Header File
// Created 01/07/2003; 12:24:40


extern void init_alloc_stack(void);

// Fonctionne comme malloc, sauf que le pointeur sur l'espace allou est plac sur la pile allocStack
extern void* malloc_st(unsigned long size);

// Fonctionne comme realloc, sauf que le pointeur sur l'espace allou est plac sur la pile allocStack
extern void* realloc_st(void *ptr, unsigned long newSize);

// Librer avant l'appel de free_alloc_stack un bloc allou (pour viter la saturation en mmoire libre)
extern short free_st(void* ptr);

// Vider la pile en librant tous les pointeur placs dessus ( appeller  la fin du programme)
extern void free_alloc_stack(void);

